Subject: Re: I-D ACTION:draft-ietf-ipv6-default-addr-select-08.txt

From: Brian E Carpenter <[email-masked]>
Date: Mon, 01 Jul 2002 16:04:02 +0200

I agree that this is probably better as a BCP.

   Brian

Alain Durand wrote:
> 
> On Thursday, June 27, 2002, at 09:41 PM, Margaret Wasserman wrote:
> 
> > The Default Address Selection document has been out for months, has
> > been reviewed several times by the WG, has undergone a WG last call and
> > has been reviewed by the IESG.  It doesn't seem right to delay this
> > draft indefinitely waiting for another draft, especially when we haven't
> > been told about any specific problems that this draft will cause.
> >
> > If there are specific, technical objections to this draft, please state
> > them clearly on the mailing list.  It would also be helpful to suggest
> > specific text changes to the draft.  This will give others and
> > opportunity
> > to agree or disagree about whether the issues should block the
> > publication
> > of this draft.
> 
> Margaret,
> 
> Publishing this draft will have the effect to stop any further discussion
> on who should be responsible to make the choice of SL vs GL
> when both are available: is it a kernel function by default or
> an well understood application choice.
> 
> I'm not sure  about which is best at this point of the discussion.
> Keith has arguments that I would like to understand better.
> Too bad he couldn't publish a draft before the cut-off date...
> 
> In particular, I would like to understand what would be the impact
> on applications that are not SL aware the day the site admin decides
> to turn on SL by publishing them in the internal view of the DNS...
> 
> I'm not a SIP expert, so I may be wrong, but I'm worried about
> what will happen to a SIP gateway when all the sudden it will receive
> a request originating from Site Local scope for an external address?
> 
> I'm concerned that the only API required by the draft is about
> reversing the public vs temporary rule and that nothing is require
> to enable applications to reverse the other rules.
> 
> I will have much less concern if the draft was to be published as BCP,
> as it is easy to change if proven wrong. I'm concerned it would be more
> difficult to change in the Standard Track.
> 
> So I have 2 suggestions:
> a) leave the text as it is but publish it as BCP. As there are things we
> do not clearly
>       understand now, it would be easier to change later.
> 
> b) or reverse rule 2 by default and require an API to enable application
>       to request SL when available.
> 
>         - Alain.
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------